include $(RDI_MAKEROOT)/top.mk
include $(RDI_MAKEROOT)/platform.mk

# Where to release link libraries to
SYSTEMC_LINK_TARGET_DIR := $(RDI_LINK_DIR)/$(SSNAME)

# Location of checked in libraries
SYSTEMC_PLATFORM := $(RDI_COMPILER_VERSION)
SYSTEMC_LIB_DIR := $(SSCURDIR)/$(SYSTEMC_PLATFORM)/$(RDI_PLATFORM)

ifeq ($(RDI_OS),gnu/linux)
 SYSTEMC_LINK_LIBS := libsystemc.so
 SYSTEMC_RUNTIME_LIBS := libsystemc.so
endif

ifeq ($(RDI_OS),windows)
 SYSTEMC_LINK_LIBS := libsystemc.lib libsystemc.exp
 SYSTEMC_RUNTIME_LIBS := libsystemc.dll
 SYSTEMC_LINK_LIBS += $(SYSTEMC_RUNTIME_LIBS)
endif

SYSTEMC_RUNTIME_SOURCES := $(addprefix $(SYSTEMC_LIB_DIR)/,$(SYSTEMC_RUNTIME_LIBS))
SYSTEMC_LINK_SOURCES    := $(addprefix $(SYSTEMC_LIB_DIR)/,$(SYSTEMC_LINK_LIBS))
SYSTEMC_LINK_TARGETS    := $(addprefix $(SYSTEMC_LINK_TARGET_DIR)/,$(SYSTEMC_LINK_LIBS))

libs: $(SYSTEMC_LINK_TARGETS)
dirs: $(SYSTEMC_LINK_TARGET_DIR)/.rdi

$(SYSTEMC_LINK_TARGETS): $(SYSTEMC_LINK_TARGET_DIR)/.rdi
$(SYSTEMC_LINK_TARGETS): $(SYSTEMC_LINK_TARGET_DIR)/% : $(SYSTEMC_LIB_DIR)/%
	$(CP) $< $@

# Release the runtime libraries
RELEASE_LIBS_EXACT := $(SYSTEMC_RUNTIME_SOURCES)
RELEASE_TYPE := customer
include $(RDI_MAKEROOT)/release.mk

# Release runtime and link libraries to data directory for end customer use
RELEASE_DATA_TARGET := release
RELEASE_DATA_EXACT := $(sort $(SYSTEMC_LINK_SOURCES) $(SYSTEMC_RUNTIME_SOURCES))
RELEASE_DATA_DIR := data/systemc/lib/$(RDI_PLATFORM)
RELEASE_TYPE := customer
include $(RDI_MAKEROOT)/release.mk

include $(RDI_MAKEROOT)/bottom.mk
